import java.util.ArrayDeque;
import java.util.Deque;

import it.kibo.fp.lib.RandomDraws;

public class Cavallo {
    private String nome;
    private String colore;
    private Deque <Tessera> tessere = new ArrayDeque<>();
    private int posizione;
    private boolean matto;

    public Cavallo(String nome, String colore){
        this.nome = nome;
        this.colore = colore;
        this.matto = false;
        this.posizione = RandomDraws.drawInteger(1, 3);
        setTessere();
    }

    public void CavalloMatto(String nome, String  colore){
        this.nome = nome;
        this.colore = colore;
        this.matto = true;
        this.posizione = RandomDraws.drawInteger(14, 16);
        setTessere();
    }

    public String getNome() {
        return nome;
    }
    public String getColore() {
        return colore;
    }
    public int getPosizione() {
        return posizione;
    }
    public boolean isMatto() {
        return matto;
    }
    
    public void setNome(String nome) {
        this.nome = nome;
    }
    public void setColore(String colore) {
        this.colore = colore;
    }
    public void setPosizione(int posizione) {
        this.posizione = posizione;
    }
    public void setMatto(boolean matto) {
        this.matto = matto;
    }
    public void setTessere(){
        for(int i = 0; i < 4; i++){
            tessere.add(new Tessera());
        }
    }

}
